Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.wml
Interface WMLInputElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLInputElementImpl

public interface WMLInputElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'input' element specifies a text entry object. (Section 11.6.3, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getEmptyOk()`
`String` | `getFormat()`
`int` | `getMaxLength()`
`String` | `getName()`
`int` | `getSize()`
`int` | `getTabIndex()`
`String` | `getTitle()`
`String` | `getType()`
`String` | `getValue()`
`String` | `getXmlLang()`
`void` | `setEmptyOk(boolean newValue)` 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` | `setFormat(String newValue)` 'format' specifies the input mask for user input.
`void` | `setMaxLength(int newValue)` 'maxlength' specifies the maximum number of characters to be enter.
`void` | `setName(String newValue)` 'name' specifies the name of a variable after the user enters the text.
`void` | `setSize(int newValue)` 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setType(String newValue)` 'type' specifies the type of text input area.
`void` | `setValue(String newValue)` 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getEmptyOk

    public boolean getEmptyOk()

### getFormat

    public String getFormat()

### getMaxLength

    public int getMaxLength()

### getName

    public String getName()

### getSize

    public int getSize()

### getTabIndex

    public int getTabIndex()

### getTitle

    public String getTitle()

### getType

    public String getType()

### getValue

    public String getValue()

### getXmlLang

    public String getXmlLang()

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setFormat

    public void setFormat(String newValue)

  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setMaxLength

    public void setMaxLength(int newValue)

  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setName

    public void setName(String newValue)

  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setSize

    public void setSize(int newValue)

  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setTabIndex

    public void setTabIndex(int newValue)

  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

### setTitle

    public void setTitle(String newValue)

  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setType

    public void setType(String newValue)

  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setValue

    public void setValue(String newValue)

  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

### setXmlLang

    public void setXmlLang(String newValue)

  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD